Subject: TeXMaG V3N2
From: Don Hosek <[email-masked]>
To: Michael DeCorte <[email-masked]>, Bill Kaster <[email-masked]>
Date: Wed, 12 Apr 89 22:06:06 CDT

*******************************************************************************
*                                                                             *
*   TTTTTTT       X     X M     M        GGGGGG  A Mostly Unofficial          *
*      T           X   X  MM   MM       G        Publication for Users        *
*      T   EEEEEEE  XXX   M M M M   A   G    GG  Of the TeX Computer          *
*      T   E       X   X  M  M  M  A A  G     G  Typesetting System.          *
*      T   EEEE   X     X M  M  M AAAAA  GGGGGG                               *
*          E                     A     A         Volume 3, Number 2           *
*          EEEEEEE              A       A        Distribution: 1626 or so...  *
*                                                                             *
*******************************************************************************
     
April 12, 1989
\footnote............................................................1
Letters to the Editor................................................2
News
 Headlines...........................................................3
 Enhancements to the Clarkson TeX archive server.....................4
 The VORTEX: A new TeX magazine......................................5
The last word on output and conversions..............................6
Producing online input files with LaTeX..............................7
Layout puzzles.......................................................8
The Toolbox..........................................................9

     

     
     
__1
\footnote{A matter of class}
Last month I taught a TUG class for the first time (the beginning/
advanced intensive LaTeX class). The total enrollment in the class
was four. (Down from five due to a late cancellation)
     
Clearly, this was a rather low turnout for such a class. In fact, if
it wasn't for the fact that the class was offered in Chicago (thus
eliminating the need for travel expenses on my part), the class would
not have been offered at all.
     
But the size of the class was the least of my surprises; from what I
knew about the course and the stated pre-requisites, I was far more
surprised by the character of the attendants. I had expected the
people in the class to be user services people who would after the
class return to their respective institutions and be prepared to teach
a similar class to individuals at their institutions. At $720/person,
I really had not expected any institution to send individual users to
the class. I was dead wrong.
     
In fact, as it turned out, for all but one attendant, it would have
been far more appropriate to have offered a non-intensive beginning
LaTeX course. All but one of the attendants had no experience with
programming of any sort. However, it apparently is difficult to get
enough attendees to break even on a beginning course since TUG has not
offered one in at least the past two years.
     
And thus comes the big problem? Why are there so few attendees at TUG
courses? The training, it would seem, would be greatly useful. Is it
the cost? The expense of traveling _to_ the course? The topics
offered?
     
I received such wonderful answers to my questions last year, I'd be
glad to hear your opinions on this topic.
     
Quote for the issue:
  "...It would not do any harm at all to have a UK group advising
   neophytes on which files to sacrifice black cocks in front of
   (this apparently being the correct way to get a good value for
   'blacker' in your local.mf file)."
                                     --Sebastian Rahtz in TeXline #8

     

     
     
__2
**********************************************************************
*                       Letters to the Editor                        *
**********************************************************************
     
>Date: 28-FEB-1989 12:09:53.64
>From: Wolfgang Moll <MOLL@DBNINF5>
     
We have installed on our system a bulletin board which makes TeXMaG
accessible to all users. This tool is used for a large number of
mailing lists (e.g. TeXhax) thereby avoiding the overhead of sending
and storing multiple copies of mail contributions. Some of these
mailing lists are moderated like TeXHAX.
     
Normally, mail from moderated lists is in digest form, i.e. it is
composed of many individual contributions. The bulletin system will
then decompose the digest making it quite easy to read only mail items
of interest.
     
Since mail from all mailing lists will be processed in this way the
bulletin system needs some criteria in order to recognize a mail item
within a digest. The main criterion is based on the format of the mail
header.
     
Now, processing TeXMaG will cause some trouble :-((
     
TeXMaG contains a section titled "Letters to the Editor". In this
section mail sent to the editor will be cited. Unfortunately, the
cited mail contains a header which is recognized by the bulletin
system thereby cutting the magazine into several pieces.
     
To avoid this headers of cited mail should be marked, e.g.
     
> Date: ...
> From: ...
     
It would be very nice if you could proceed in this way in
forthcoming TeXMaG distributions.
     
Regards
     
W. Moll
     
======================================================================
     
>Date:     Tue, 28 Feb 89 14:26:56 GMT
>From:     David Lloyd <[email-masked]>
>Subject:  Device drivers
     
I am (ab)using your request for information about device drivers to
ask if anyone knows anything about the problems I am having with our
device driver.
     
We are an IBM VM/CMS site and got TeX 2.1 on a tape from Maria Code.
The tape includes a DVI to 3820 convertor (the 3820 is an IBM 240 pel
laser printer). We had to build all the fonts for it from the MF files
to make 3820 fonts but overall it seemed to work once a user at CERN
explained how to do it. However, we found that x^{i^{2}} gave a
vertical bar growing out of the top of the 2. Then a user tried to use
\magstep and the resultant LIST3820 file contained the names of
non-existent fonts.
     
This also happens with LaTeX files, for example if we process LASAMPLE
then the LIST3820 file asks for the fonts 3$CMR10, 1$CMR10, and
2$CMBX10. The $ in fact conceals a digit, that's the way the 3820
seems to work because when we try to print the spool file conversion
machine objects to the font 30CMR10. Is there some way of creating
these magnified fonts via METAFONT or is there some problem with
DVI3820? I don't understand TeX (it is one of the worst documented
systems for the installer I have ever seen) and personally don't like
it (try the IBM SCRIPT Mathematical Formula Formatter if you want to
see a sensible way to typeset mathematics) but some of our users want
it because certain journals insist on it so, take pity on them, and
tell me what  I'm doing wrong.
     
======================================================================
     
>Date: Wed, 1 Mar 89 15:53:21 EST
>From: [email-masked] (Thomas M. Hundt)
>Subject: re: {Green with envy}
     
Why is TeX more accepted in Europe?
     
Perhaps because it's a really nice standard, which they're big on
over there.
     
-Tom
     
======================================================================
     
>Date:         Sun, 05 Mar 89 14:06:45 CET
>From:         Fritz Zaucker <F48@DHDURZ1>
>Subject:      Reply to TeXMag 3-1, Nr.9 Italic corrections
     
I hope, this is the right address for TeXMag submissions.
     
Dan Bernstein gives some Macros for automatic italic corrections.
     
I am a relatively new TeX-User, so perhaps my thoughts are quite
stupid. But I am always wondering if I read something like: "... an
italic correction is always needed when switching from italic to roman
type, except when the italic type is followed immediately by a roman
period or comma ..." If the rules are as clear as this statement (I
think I saw it also in the TeX-Book and the LaTeX-Book) implies, why
do we all have to worry about it at all. I think, TeX should know in
which font it is and could do the necessary correction by itself. Is
there anything I didn't see?
     
This should be even more true, if it is right, that an correction
is indeed only made, if a font switch to roman actually occurs
and ignored otherwise (as I have it in mind from one of the two
books above).
     
======================================================================
     
>Date: SAT,  4-MAR-89 10:18 N
>From: <[email-masked]>
>Subject: European users of TeX
     
Don,
I just got Texmag. Well, I think that the reason why in Europe (at
least here in Italy) there are so many TeX-lovers, is simply that ...
we have no secretaries to type our papers, so we have to do it by
ourselves. And doing it on the computer with TeX is time-saving and
fun!
     
Max
     
======================================================================
>From: [email-masked]
>Subject: Letter(s) to the Editor
>Date: 10 APR 89 13:20:01

Dear Don!
     
In your \footnote{Green with envy} in TeXMaG V3N1, you are amazed by
the existence of Helmut Kopka's German LaTeX book (advertised by Harry
Anderson some pages later in the same TeXMag issue). May I add the
following information:
     
+  The first edition of Mr.Kopka's book is going to be sold out, and
   Mr. Kopka is already preparing a second, corrected edition.
   (Obviously, this means that the first edition needs some
   corrections.)
     
+  Several other German TeX and LaTeX books are available, too! I
   would like to recommend the following ones:
     
   -  published by Addison Wesley:
      .  _LaTeX-Kompaktf\"uhrer'' by Reinhard Wonneberger
      .  _Einf\"uhrung in TeX_ by Norbert Schwarz
      .  _TeX f\"ur Fortgeschrittene_ by Wolfgang Appelt
     
   -  recently published by Teubner:
      .  _Einf\"uhrung in die Dokumenten-Verarbeitung_ by Anne
         Br\"uggemann-Klein
     
   -  available freely via Bitnet from the TEXTOOLS FILELIST at the
      server LISTSERV@DHDURZ1 in Heidelberg:
      .  "LaTeX-Kurzbeschreibung" by Hubert Partl, Elisabeth Schlegl
          and Irene Hyna
      .  "Layout-\"Anderungen mit LaTeX" by Hubert Partl
     
In addition, many universities have written their own versions of
short German introductions for how to use TeX and/or LaTeX. Most of
these are aimed for simple applications of TeX or LaTeX by
non-technical users, and refer to Knuth's and Lamport's manuals for
all advanced details. I believe that it is these simple introductory
users guides that make TeX and especially LaTeX appear just as easily
usable as any other text processing systems, and thus have contributed
to their widespread acceptance in Europe that is currently puzzling
America.
     
Happy TeXing throughout the world!
     
                              Hubert Partl <[email-masked]>
     
======================================================================
     
>Date: Wed, 12 Apr 89 14:25 MET
>From: Daniel Kropveld <[email-masked]>
>Subject: TEXMAG ARCHIVE
     
Hello Don Hosek
     
I am subscribed to your TeXMAG, and I think it is very helpful. I am a
beginner to (La)TeX, and very much in need of primary information.
Your magazine is helpful in this matter. Looking at the index in your
latest edition I decided to get all the former editions of TeXMaG too.
But they seem to be archived only up to V2N3 I am looking for V2N4 and
V2N5. Can you tell me where to find them, or can you send them up to
me?
     
As I said I enjoy your articles. I would like to see more beginners
info. But advanced is OK too. Hints and tips are welcome too.
Sometimes it is not clear to me if a macro can be used for TeX or for
LaTeX. (or both ???)
     
I have AmigaTeX running on an AMIGA-1000. Having a NEC P6 printer. My
system manager refuses to suuport TeX on his VAX. He tells me to buy
a PC and do Desktop Publishing. How do you convince such a man??
     
Hartelijke groeten van Daniel,
 +-----------------------------------------------------------------------+
 |   Daniel Kropveld, University Hospital AMC, Neurophysiology.          |
 |   Amsterdam, Netherlands. Tel.: +31 (20) 566 3611                     |
 |  <[email-masked]>    (eMAIL only)   (no FTP)  |
 |  <[email-masked]> (temporary account for FILE[/VMSDUMP] only)  |
 |  AMIGA-1000 PAL 2.5Mb NecP6; Interests: Medical Science, Video, TeX   |
 +-----------------------------------------------------------------------+
     
[[Editor's note: TeXMaG back issues are now available from the
Clarkson archive. See the article elsewhere in this issue for
details.]]

     

     
     
__3
**********************************************************************
*                            Headlines...                            *
**********************************************************************
     
-> TeXMaG is now configured to support local distribution via
   Princeton Univerity's Netnews program. The newsgroup name is
   bit.listserv.texmag-l. [[Please do not send me queries about this
   program, I know nothing about it -ed.]]
     
-> TeX, in its infinite propensity for change, is now at version 2.98
   (looks like version 2.991 might not be too far away!) An updated
   copy of this (as well as new versions of the TRIP files) should
   be available from Score.Stanford.Edu.
     
-> Speaking of changes, the WEB programs WEAVE and TANGLE are at
   versions 3.1 and 3 respectively.
     
-> This is the tenth anniversary year of TeX! This year's annual
   meeting will be a gala celebration at Stanford University and
   should be well worth the trip. If you're a TUG member, you'll be
   getting details in the mail soon. If you're not, why not join? TUG
   membership is well worth the effort. See the end of this issue for
   details on joining TUG.

     

     
     
__4
**********************************************************************
*          Enhancements to the Clarkson TeX archive server           *
**********************************************************************
By Michael DeCorte <[email-masked]>
     
The archive server here at Clarkson has undergone a lot of changes in
the past few months. It is finally stable but still changing. Briefly,
most of the files that are stored at Score are now also at Clarkson
and updated very often. Also everything that was in the latex-style
depository has been classified into more appropriate groups. Below is
a list of all of the groups and a brief description of each.
     
amstex                  The AMSTeX macros that are at score
amstex-style            contributed style files for AMSTeX
bibtex                  The .web, documentation and styles from Leslie
                        Lamport that are at score
bibtex-style            contributed style files for BibTeX version
                        0.99
bibtex-style-0.98       contributed style files for BibTeX version
                        0.98
cm-fonts                The .mf sources for the cm fonts that are at
                        score
lamport                 style files and .mf files by Leslie Lamport
                        that are at score
latex-style             contributed style files for LaTeX
tex-doc                 manuals and documentation on TeX and MF that
                        are at score
tex-fonts               contributed mf fonts
tex-inputs              the .tex files needed to build TeX that are
                        at score
tex-programs            contributed useful program for TeX
tex-sources             The .web files for TeX that are at score
tex-style               contributed style files for TeX
tex-test                .web files to test TeX that are at score
texhax                  Collection of TeXhax's by Pierre MacKay
                        (Malcolm Brown)
texmag                  Collection of TeXMaG's by Don Hosek
tugboat                 files from TugBoat that are at score
uktex                   Collection of UKTeX's by Peter Abbott
     
Instead of listing all of the files that are being stored I encourage
you to get an Index as it changes frequently and the Index of Indexes
itself changes often enough.
     
There are 2 ways to get files electronically:
     
1) BY ANONYMOUS FTP
     
An example FTP session is shown below. Users should realize that FTP
syntax varies from host to host. Your syntax may be different. The
syntax presented here is that of Unix FTP. Comments are in
parentheses. To retrieve something from something other than
latex-style simply substitute the appropriate group.
     
% ftp sun.soe.clarkson.edu      (a.k.a. 128.153.12.2)
 ...                          (general blurb)
user: anonymous
password: <any non-null string>
ftp> cd pub/latex-style         (where the files are)
ftp> ls                         (to see what is there)
 ...                          (lots of output)
ftp> get Index
 ...                          (more blurb)
ftp> quit
     
2) BY MAIL
     
To retrieve files or help documentation send mail to
[email-masked] with the body of the mail message
containing the command help or index or send. The send command must be
followed by latex-style (or the appropriate group) and then the files
you want. Users who are not in the uucp maps database are strongly
encourage to include a path command followed by a path from clarkson
to you. If you don't include a path command, your mail may not get to
you and will definitely be delayed as I will have to mail it by hand.
You should realize that Clarkson does not have a UUCP connection,
therefore you must send it to an Internet or Bitnet host that does
have a UUCP connection. Therefore something like uunet!foo!bar is
guaranteed to bounce but [email-masked] should work. Basically
if your address is not in the domain format you must find a way to
turn it into one.
     
There is one limitation that you must be aware of, the archive-server
will not send files more than 100k. That means that you can not
request large files such as tex.web and that if you request a large
number of files in one message it may be rejected because the sum is
greater than 100k.
     
For example, [email-masked] should send:
     
To: [email-masked]
Subject:
path [email-masked]
send latex-style Readme Index
send latex-style resume.sty

     

     

__5
**********************************************************************
*                  The VORTEX: A new TeX magazine                    *
**********************************************************************
By H.T. Khan <[email-masked]>
     
Dear TeX Users,
     
We are soliciting articles for a TeX magazine to be published this
fall.
     
This magazine --The VORTeX-- will be a technical yet entertaining
publication which will respond to two environments: academic and
commercial; and it will be something fun to read for every TeX user.
All articles, if published, will be PAID.  The contributed articles
must fall in the following categories:
     
1.   Essay (viewpoint)
2.   Technical how-to (tips)
3.   Feature writing (technical subject)
4.   Software review (any TeX-related products)
     
Any other contribution --news, short tips, activities, etc.-- will be
published as nonpaid, but of course with our sincere appreciation.
     
If interested, please drop us a note as soon as possible. Your reply,
if possible, should indicate when you would be able to submit your
work, and in what category.  Details for article submission will be
sent later.
     
Subscriptions will be available via mail or in the next TugBoat
issue.
     
Please use the following syntaxes to send E-mail and/or articles:
     
1)   From ARPA (Internet):
     
TO:  [email-masked]
or
TO:  [email-masked]
     
2)   From BITNET & EARN:
     
TO:  [email-masked]
or
TO:  [email-masked]
or
TO:  [email-masked]
     
3)   From UUCP:
     
TO:  [email-masked]
or
TO:  [email-masked]
     
4)   From CSnet:
     
TO:  [email-masked]
     
Sincerely,
     
H.T. Khan
Publisher/Editor

     

     
     
__6
**********************************************************************
*              The last word on output and conversions               *
**********************************************************************
By Mark Edwards <[email-masked]>
   Internet: [email-masked]
   Bitnet:   edwards@wiscmacc
   UUCP:     {}!uwvax!macc.wisc.edu!edwards
     
The following is a start of something that I think will be generally
useful to many people. Its mostly about output devices and
conversions. I have started a small glossary of related terms also. I
can envision lots of directions this might go off in. And as of yet
haven't ruled anything out. At the moment it is only sketchy at best
and I am inviting comments, suggestions, additions, general format
changes, flames, or anything at all to help improve the list. I am
planning to update it in the future, depending on the responses I get.

0. Commentary
This whole thing started while I was investigating how to use TeX with
an Apple Laserwriter. Using the TUGboat Journal I found that Nelson
Beebe had a driver for the Apple Laserwriter for VMS. I FTP'd it and
was quite happy to get PostScript output from my DVI file. As far as I
know this driver uses Computer Modern fonts only. I didn't
particularily care for the output and it creates large files that
contain fonts to download to the laserwriter.
     
I asked comp.text for a driver that used postscript fonts and soon was
FTPing around the country for various drivers. The first one I found
that seemed to be what I want was "psdvi" which I got from
june.cs.washington.edu It included the PostScript TFM fonts also. I
converted the program to run under VMS and got some output. Looked
great. But... I then found out that it chokes on mathmetics. This just
wouldn't do. A driver I found at uxc.cso.uiuc.edu (dvi2ps) seems to
allow usage of both the postscript fonts and the cm fonts for math and
seems to be the best candidate to convert to VMS. (It sure would solve
many problems if I were just using a Unix machine. Oh well.) During
this process I picked up lots of other information and decided to
write it down before it got filed in some forgotten place.
     
1. Introduction
The sum total of all the computer know how available on the net
through netnews or stored in FTPable archives (or other archives) is
mindboggling. However there are many great hurdles in sorting out all
the information available. One of the biggest obstacles is just
gathering the relevant information, whether it be in netnews or in
some archive some where. The task of discovering where some of the FTP
archives sites are was made slightly easier last December upon the
posting of an article that listed the various sites across the country
and what kinds of programs the archive excels in (by Edwards Vielmetti
<[email-masked]>).
     
This is my attempt at compiling information about output devices
and such things. What I mean by output devices are display terminals,
laser printers, and typesetters. The kinds of information that you
will find here is about typesetting, fonts, converting some type of
font to another, converting device independent files to device
dependent files, converting various ways of storing pictures to
postscript and so forth. I have also started a small glossary of
important or useful terms to help aid in understanding. I originally
posted parts of this list in comp.fonts and comp.text. But it has
grown and includes information that pertains to other groups now.
     
Please send all correspondence to me and I will post a new updated
list every once in a while. (If enough interest develops I may even
offer various formated versions.)
     
1.0 Text Processing
1.1 List of formating and/or typesetting program
Program                 Operating System(s)
------------------------------------------------------------
TeX                     Most operating systems
troff  (ditroff)        Unix based
Scribe                  ???
Runoff                  VMS, TOPS-10, TOPS-20 (or DSR (DEC Standard
                        Runoff))
WordPerfect 5.0         PC, Macintosh, VMS
MS-Word 4.0             PC, Macintosh
Ventura Publisher       PC, Macintosh
Aldus Pagemaker         PC, Macintosh
     
1.2 Programs to translate from one text processing language to another
Both of these programs claim a 90% translate rate.
     
s2latex                 Scribe to Latex
tr2tex                  troff to Latex
     
1.3 Programs that can generate dvi files
TeX
Ditroff
     
1.4 Programs to translate the TeX dvi files into device dependent
    files
dvi2ps          dvi to postscript (Uses CM fonts for math) (Unix)
                (many versions. Most recent at a.cs.uiuc.edu ??)
dvialw          dvi to PostScript (Uses CM fonts only, no PostScript)
dvibit          dvi to Version 3.10 BBN BitGraph terminal
dvican          dvi to Canon LBP-8 A2 laser printer
dvigd           dvi to Golden Dawn Golden Laser 100 printer
dviimp          dvi to Imagen imPRESS-language laser printer family
dvijep          dvi to Hewlett-Packard Laser Jet Plus
dvijet          dvi to Hewlett-Packard Laser Jet
dvil3p          dvi to DEC LN03 Plus laser printer
dvil75          dvi to DEC LA75 144 dpi printer
dvim72          dvi to Apple Imagewriter 72 dpi printer
dvimac          dvi to Apple Imagewriter 144 dpi printer
dvimpi          dvi to MPI Sprinter 72 dpi printer
dvio72          dvi to OKIDATA Pacemark 2410 72 dpi printer
dvioki          dvi to OKIDATA Pacemark 2410 144 dpi printer
dviprx          dvi to Printronix 60h  x  72v dpi printer
dviqms          dvi to quic (QMS 800/1200 laser printer language)
                (VMS)
dvitos          dvi to Toshiba P-1351 180 dpi printer
psdvi           dvi to postscript (No math typesetting) (Unix, VMS)
settex          dvi to compugraphics 8600  (VMS)
[[Editor's note: for a complete listing of DVI drivers, see the
latest issue of TUGboat]]
     
1.5 Programs to translate troff output file into device dependant files
troff2lj        troff output to HP laserjet (Unix)
     
2. Font Information
2.1  List of currently known fonts
Font             Description
------------------------------------------------------------
bdf            - binary distribution format  (Adobe Systems and X11)
fon            - raster and stroke fonts (MS-Windows)
gf             - generic font  (TeX)
hershey        - stroke (vector) fonts
onx            - ???    (X10. Still supported by some vendors)
pk             - packed (TeX)
pxl            - pixel (TeX)
rst            - raster (Downloaded to some Imagen printers)
snf            - server natural format (X11)
Postscript     - Adobe Systems
vfont          - Versatec font  (used by SunView and Berkeley
                 (BSD 4.x))
HP LaserJet  ??
Macintosh    ??
     
2.2 More in depth description of some fonts
2.2.1 Hershey Fonts: (excerpted from distribution found at ????)
        - are a set of more than 2000 glyph (symbol) descriptions in
          vector ( <x,y> point-to-point ) format
        - can be grouped as almost 20 'occidental' (english, greek,
          cyrillic) fonts, 3 or more 'oriental' (Kanji, Hiragana, and
          Katakana) fonts, and a few hundred miscellaneous symbols
          (mathematical, musical, cartographic, etc etc)
        - are suitable for typographic quality output on a vector
          device (such as a plotter) when used at an appropriate
          scale.
        - were digitized by Dr. A. V. Hershey while working for the
          U.S. Government National Bureau of Standards (NBS).
     
2.2.2 vfont
        Font formats for the Benson-Varian or Versatec.
     
        Bitmapped. Found on BSD and Sun Unix systems.
     
2.3 Font Metrics
2.3.1 List of types of Font Metrics
Font Metric     Description
-------------------------------------------------------------
afm              - Adobe Font Metric
pl               - property list (human readable format)
psfm             - Postscript Font Metric
tfm              - TeX Font Metric
     
2.3.2 List of programs to generate Font Metric information
Program       Font Metric      Description
--------------------------------------------------------------
MetaFont       tfm             (TeX)   (also generates gf font files)
afmtopl                         afm to property list
pltotfm                         Property list to tfm
tftopl                          tfm to property list
     
2.3.3 List of programs to convert one type of font to another
Program               Description
----------------------------------------------------------------
bdf2gf                 bdf to gf
bdf2vf                 bdf to vfont
bdftosnf               bdf to snf  (X-window Utility)
gftopk                 gf to pk
gftopxl                gf to pxl
her2vfont              hershey to vfont
mac2bdf                Macintosh font to bdf
pktogf                 pk to gf
pktopx                 pk to pxl
pxtopk                 pxl to pk
vf2bdf                 vfont to bdf
     
2.3.4 Notes
Note: ( From: "[email-masked]"  "Ken Yap" 27-JAN-1989 18:56)
     
Keep in mind that font metrics are not completely divorced
from the font bitmaps or outlines.  The metrics describe the ideal,
scalable dimensions, while the bitmap files have the actual pixel
widths.  Metrics files are used to describe families of fonts such as
TeX and PostScript fonts. Fonts for screens generally only have pixel
widths.
     
3.0 PostScript
3.1 Programs to convert to postscript
Program and Brief Discription
     
cif2ps          CIF to postscript (Unix)
ccps            Calcomp Standard plots to postscript (calcomp2ps)
(Unix)
ditroff-to-ps   ditroff output to postscript (Unix)
dvi2ps          dvi (TeX)  file to postscript (Uses CM fonts for math)
                (Unix)
giftops         GIF format files to postscript
psdvi           dvi (TeX) to postscript (No math typesetting) (Unix,
                VMS)
sun2ps          Sun raster file to postscript (SUN)
sxlps           convert SIXEL graphics format to PostScript (VMS)
tek2ps          tektronix (4014) style plots to postscript
tif2ps          tiff to postscript  (Unix, MS-Dos (MSC5.0))
zeta2ps         translate Nicolet Zeta plots into PostScript (VMS,
                Unix)
     
3.2 Postscript previewing
Postscript can be previewed on the Sun, and the NeXT computers. There
is also a program avaibable that allows previewing on PC's with EGA
cards.
     
ghostscript     postscript interpreter for PC's with EGA cards
     
3.3 Postscript printer drivers/symbionts
     
 laser.c        print symbiont for VMS, available from
                utadnx.cc.utexas.edu
     
4. Where to get these programs
Unfortunately or not some of the programs come bundled with other
software or the name of the archive is different. Next time I'll try
to figure out some way to include this information also.
     
   a.cs.uiuc.edu                TeX sources (dvi2ps) ...
   science.utah.edu             TeX sources, most of the dvi drivers
   simtel20.arpa                pd2:<unix-c>, various TeX, Postscript sources
   sun.soe.clarkson.edu         fonts for X11, TeX sources
   utadnx.cc.utexas.edu         VMS sources (zetaps, laser, sxlps)
   uunet.uu.net                 TeX sources, most of the postscript sources

Appendix A     Glossary of Terms
The words in this glossary should be related to output devices. I
can forsee the need to include the various names of windowing packages
and what form of objects they display. For example NeWS is window
system that displays a version of postscript on Sun Workstations, but
not necessarily compatible with NeXTstep which uses Display Postscript
from Adobe.
     
Term            Brief definition/description
     
bitmap font     uses pattern of pixels for each character. With raster
                fonts there exists a different set of pixels for each
                character in every fonts size you want.
                Sometimes called raster
     
Display Postscript
     
EPS             encapsulated postscript
     
font            One complete set of characters in the same typeface
                and size.
     
gif             The following is an excerpt from the GIF image format
                specification:
     
 SCREEN DESCRIPTOR
     
The Screen Descriptor describes the overall parameters for all GIF
images following. It defines the overall dimensions of the image space
or logical screen required, the existence of color mapping
information, background screen color, and color depth information.
This information is stored in a series of 8-bit bytes as described
below.
     
              bits
         7 6 5 4 3 2 1 0  Byte #
        +---------------+
        |               |  1
        +-Screen Width -+      Raster width in pixels (LSB first)
        |               |  2
        +---------------+
        |               |  3
        +-Screen Height-+      Raster height in pixels (LSB first)
        |               |  4
        +-+-----+-+-----+      M = 1, Global color map follows Descriptor
        |M|  cr |0|pixel|  5   cr+1 = # bits of color resolution
        +-+-----+-+-----+      pixel+1 = # bits/pixel in image
        |   background  |  6   background=Color index of screen background
        +---------------+          (color is defined from the Global color
        |0 0 0 0 0 0 0 0|  7        map or default map if none specified)
        +---------------+
     
glyph           a symbol that conveys information nonverbally.
                (Webster's)
     
graphic font    See vector font.
     
pixel           the individual elements or dots of the digitized
                image.
     
raster font     See bitmap font.
     
ReGIS           Remote Graphics Instruction Set. ReGIS is designed for
                simple synthetic graphics; it has primitives for
                drawing lines and curves, as well as its own set of
                characters.
     
rtf             rich transfer format(??). MS-Word only (??).
     
sixel           The sixel protocol is mainly a way to encode a bitmap
                using "printable" characters. Essentially, you take a
                vertical slice of 6 rows of the image, turn the
                resulting 6 bits on their side, then shift them over
                into the printable range. Repeat until you've finished
                all the columns; then move down by 6 rows and repeat.
                (The reason for this vertical slicing, rather than the
                easier-to-handle horizontal slicing, is that the sixel
                encoding was originally designed for simple, memoryless
                dot-matrix printers, which need to print the data as
                they receive it.) There are some additional codes to
                specify things like the resolution the creator of the
                file used. Color images are presented by sending over
                a couple of bitmaps, one per color. (From: Jerry
                Leichter <[email-masked]>)
     
serif           Any of the short lines stemming from and at an angle
                to the upper and lower ends of the strokes of a
                letter. (Examples: Times, Courier)
     
sanserif        Not serif. (Examples: AvantGarde, Helvitica)
     
stroke          A mark or dash made by a single movement. One of the
                lines of a letter of the alphabet. (Webster's)
     
stroke font     See vector font.
     
tiff            Tagged image file format
     
vector font     Define lines that make up characters. Only need one
                set of characters for each font. They can be drawn at
                other sizes by varying the length of the lines. Vector
                fonts can be easily rotated and scaled. Sometimes
                called graphic fonts, or stroke font.
     
WYSIWYG         What you see is what you get. In typesetting it
                usually refers to a particular word processing feature
                that displays things on screen as if they were typeset
                or printed. TeX is not WYSIWYG while Ventura Publisher
                is.

     

     
     
__7
**********************************************************************
*          Producing on-line information files with LaTeX            *
**********************************************************************
by Hubert Partl <[email-masked]>
     
Computer users nowadays expect that all necessary information about
the computer is available in two forms: as printed documents, and as
on-line information files.
     
  * The printed documents are usually bought at the EDP center's book
    shop.  They may be anything from short leaflets to complete books,
    and in any case they shall be as beautiful and as readable as
    possible.  Thus, TeX, together with one of its macro packages like
    LaTeX, and a laser printer are the ideal means to generate them.
     
  * On-line information files are ASCII files stored on the computer
    itself.  Whilst working on the computer, users can access them
    directly from the terminals on their own desks. Typically, the
    files are viewed on a terminal screen, or searched for certain
    keywords with an editor, or printed on a nearby cheap line
    printer.
     
For the authors and maintainers of the information texts, it is highly
desirable that the same input file can be used to generate both the
printed and the on-line versions. How can this be achieved in a LaTeX
environment?
     
There are driver programs available that generate line printer or
ASCII output from a DVI file, but these are aimed at proof-reading and
previewing: They try hard to show how the text will eventually be
broken into lines and pages in the final printed document. Their
results as such are usually neither beautiful nor readable.
     
What we need is something different: We want the text to be set as
beautiful and as readable as is possible in a simple line-oriented
ASCII file, and with a layout that is best suited for the purpose of
viewing on a terminal and printing on a line printer (e.g. 72
characters per line, 60 lines per page, blank lines to separate
sections, and so on). We don't care about any relation to the line and
page breaks of the printed version.
     
Obviously, we need two things to achieve this:
     
1. We need a LaTeX style or style option that will set our text such
   that the ASCII file will be as readable and as beautiful as
   possible.
     
2. We need an ASCII driver that will convert our DVI file into an
   ASCII file.
     
Now, who has already done something in this direction?  Or is willing
to do so?

     

     
     
__8
***********************************************************************
                       Layout Puzzles
***********************************************************************
By Hubert Partl <[email-masked]>
     
Here are two solutions to puzzle 2 of TeXMaG 3.1 (foot lines with rule
on top):
     
Peter Flynn <[email-masked]> has sent the following Plain TeX
solution:
-----------------------------------------------------------------------------
\newbox\fbox
\def\makefline{\setbox\fbox=\vbox{\hrule\smallskip
               \line{{\tenrm\strut Chapter 1\hfil\folio\hfil The Solution}}}}
\footline={\makefline\copy\fbox}
-----------------------------------------------------------------------------
     
And here is my own LaTeX solution which is to be put into a document
style option file MYFOOT.STY:
     
---------------------------------------------------------
\def\ps@myfootings{\let\@mkboth\@gobbletwo
       \def\@oddfoot{\parbox{\textwidth}%
               {\rule{\textwidth}{0.4pt}\\[2pt]
                \mbox{}\small\sl\rightmark \hfill
                \small\sl Page~\thepage}}%
       \def\@oddhead{}%
       \def\@evenfoot{\parbox{\textwidth}%
               {\rule{\textwidth}{0.4pt}\\[2pt]
                \small\sl Page~\thepage \hfill
                \leftmark \mbox{}}}%
       \def\@evenhead{}%
       \def\sectionmark##1{}\def\subsectionmark##1{}}
---------------------------------------------------------
     
In the LaTeX input file, it is to be invoked with the commands
     \pagestyle{myfootings}
     \markboth{stuff to go there}{stuff to go there}
just like the predefined myheadings page style.

     

     
     
__9
**********************************************************************
*                            The Toolbox                             *
**********************************************************************
     
This issues tool is a style option for LaTeX that creates two
commands, \logo and \MF for typesetting the Metafont logo in LaTeX.
     
The definition for \MF is pretty straight-forward, borrowed straight
from Knuth's macro files; the only point worth noting is the fact that
the discretionary hyphen (\-) is used outside of the logo font since
the latter contains only the letters AEFMNOT and no hyphen character.
     
\logo has its own special complexity; in a manner similar to that used
in LaTeX's other font changing commands, it is defined to be
\protect\plogo. This round-about manner of defining the commands makes
it robust (otherwise, the full definition of \logo would appear in the
.aux file when \MF is used in a command like \section.
     
There are two internal LaTeX commands used here that are also worth
noting (especially if one intends to define a font style command like
\logo). The first is \@getfont; this internal command is fairly simple
to use: it is passed three control sequence names indicating the
type changing command to be used (\plogo in this case), the family
to be used (\logofam) and the point size desired (in lower case Roman
numerals preceded by @, e.g. \@xiipt for twelve point). This is
followed by the actual information to be used in loading the font.
In mf.sty, an abbreviation \@logof is used rather than logo10 and
similar conventions are used for logo8 and logo9. The affect of
\@getfont is to add the appropriate font style commands to the size
changing commands used by LaTeX.
     
The second internal command used is \@addfontinfo. This is a slightly
more complicated command. The size used is indicated as with
\@getfont, and followed by a list of commands to add to the definition
of the associated size in braces. The complication comes in that TeX
will normally attempt to interpret what will be placed into the size
changing command as it puts it there. To avoid this, it is necessary
to insert \@prtct before every control sequence except \def\NAME.
Thus, it was necessary when adding
  \def\plogo{\@subfont\logo\rm}
to specify it as
  \def\plogo{\@prtct\@subfont\@prtct\logo\@prtct\rm}
(TeX wizards may want to peer into lfonts.tex and see why this is so).
     
Incidentally, \@subfont is another LaTeX internal command which allows
an automatic substitution for a style that isn't available. It prints
a warning and effectively substitutes the second style for the first.
     
%-----------------Cut here--------------------------------------------
% mf.sty:
% Document style option to define Metafont logo in all sizes
% Author: Don Hosek
% Revision Date: 3/27/89
% User macros defined: \mf (print Metafont logo)
%                      \logo (select MF logo font
     
% Define \logo in terms of \plogo so that it isn't fragile (see lfonts.tex)
\def\logo{\protect\plogo}
     
% We need a family too. [I think this is a waste on LaTeX's part]
\newfam\logofam
     
% Define font that will be loaded for logo font here:
\def\@logof{logo10}
\def\@logoix{logo9}
\def\@logoviii{logo8}
     
% Insert messages for attempted use of \logo at 5-7pt:
\@addfontinfo\@vpt{\def\plogo{\@prtct\@subfont\@prtct\logo\@prtct\rm}}
\@addfontinfo\@vipt{\def\plogo{\@prtct\@subfont\@prtct\logo\@prtct\rm}}
\@addfontinfo\@viipt{\def\plogo{\@prtct\@subfont\@prtct\logo\@prtct\rm}}
     
% actually get the font for sizes 8-25pt:
\@getfont\plogo\logofam\@viiipt{\@logoviii}
\@getfont\plogo\logofam\@ixpt{\@logoix}
\@getfont\plogo\logofam\@xpt{\@logof}
\@getfont\plogo\logofam\@xipt{\@logof\@halfmag}
\@getfont\plogo\logofam\@xiipt{\@logof\@magscale1}
\@getfont\plogo\logofam\@xivpt{\@logof\@magscale2}
\@getfont\plogo\logofam\@xviipt{\@logof\@magscale3}
\@getfont\plogo\logofam\@xxpt{\@logof\@magscale4}
\@getfont\plogo\logofam\@xxvpt{\@logof\@magscale5}
     
\def\MF{{\logo META}\-{\logo FONT}}
     
\endinput
%-----------Stop cutting---------------------------------------------

     

     
     
__10
**********************************************************************
*           A summary of TeX-related information of note             *
**********************************************************************
     
Please note that all Janet addresses are given in the UK "backwards"
format. Non-Janet users should reverse the address to reach the
address in question. For example, Uk.Ac.Aston is Aston.Ac.Uk to the
rest of the world.
     
----------------------------------------------------------------------
Electronic magazines/newsletters
     
*TeXMaG
TeXMaG is an independently published electronic magazine available
free of charge to all interested parties reachable by electronic
mail. It is published sporadicly, and the editor likes to think that
it's bi-monthly and the readers humor him.
  SUBSCRIBING:
   CDNnet: Send a note to <[email-masked]> asking to receive
         TeXMaG.
   JANET: Send a note to Peter Abbott, <[email-masked]> asking to
         receive TeXMaG.
   All others: Send the following command as an interactive message
         (Bitnet) or as a single-line mail message to LISTSERV@UICVM
         or [email-masked]:
               SUBS TEXMAG-L Your_Full_Name.
         If you have difficulty doing this, send a note to Don Hosek
         <[email-masked]>.
  SUBMISSIONS:
   Please send submissions to <[email-masked]> or
   <TEXMAG-L@UICVM>; they will automatically be forwarded to the
   editor.
  BACK ISSUES:
   Back issues may be FTP'd from SUN.SOE.CLARKSON.EDU from the
   directory pub/texmag. Users without FTP access may request back
   issues from the Clarkson repository by sending a mail message
   with the form
         path A_MAIL_PATH_FROM_CLARKSON_TO_YOU
         get texmag texmag.V.NN
   where V is the volume number and NN is the issue number. Including
   a line "index texmag" in the message will return a list of back
   issues available.
   Back issues may also be FTP's from SCIENCE.UTAH.EDU from the file
   BBD:TEXMAG.TXT.
   LISTSERV@TCSVM also has some back issues available which may be
   obtained with the command GET TEXMAG VvNn where v is the volume
   number and n is the issue number).
   Janet users may obtain back issues from the Aston archive.
   DECNET/SPAN users may obtain them from the Decnet repository (see
   below).
     
*TeXhax
TeXhax is a mailing list for persons with questions, suggestions, etc.
about TeX, LaTeX, MetaFont and related programs. It is a service of
the TeX Users Group and is published 1-3 times per week.
  SUBSCRIPTIONS:
   ACSnet (Australia): Send a note asking for a subscription to
         <munnari!elz>
   Internet: Send a note asking for a subscription to
         <[email-masked]>. Be sure to include a
         valid Internet address in the request.
   Janet: Send a note asking for a subscription to
         <[email-masked]>.
   JUnet (Japan): Send a note asking for a subscription to
         <[email-masked]>
   All others: Send the following command as an interactive message
         (Bitnet) or as a single-line mail message to LISTSERV@UWAVM
         or [email-masked]
               SUBS TEXHAX Your_Full_Name.
  SUBMISSIONS:
   Submissions for TeXhax should be sent to <[email-masked]>.
  BACK ISSUES:
   Back issues may be FTP'd from SUN.SOE.CLARKSON.EDU from the
   directory pub/texhax. Users without FTP access may request back
   issues from the Clarkson repository by sending a mail message
   with the form
         path A_MAIL_PATH_FROM_CLARKSON_TO_YOU
         get texhax texhax.YY.NNN
   where YY is the year of the issue and NNN is the issue number.
   Including a line "index texhax" in the message will return a list
   of back issues available.
   Back issues since 88(75) may be FTP'd from JUNE.CS.WASHINGTON.EDU
   in the directory TeXhax.
   Back issues prior to 88(75) may be FTP'd from SCORE.STANFORD.EDU
   in the directory PS:<TEX.TEXHAX>
   Back issues may also be FTP'd from SCIENCE.UTAH.EDU from the file
   BBD:TEXHAX.TXT.
   LISTSERV@TAMVM1 also has some back issues available which may be
   obtained with the command GET TEXHAXnn yy where yy is the year of
   the issue and nn is the issue number). Issues 100 and above are
   named TEXHAnnn yy.
   Janet users may obtain back issues from the Aston archive.
   DECNET/SPAN users may obtain them from the Decnet repository (see
   below).
     
*UKTeX
UKTeX is essentially a U.K. version of TeXhax. It is published on a
weekly basis.
  SUBSCRIPTIONS:
   To subscribe, send a note to <[email-masked]>.
  SUBMISSIONS:
   Submissions should be sent to <[email-masked]>.
  BACK ISSUES:
   Back issues may be FTP'd from SUN.SOE.CLARKSON.EDU from the
   directory pub/uktex. Users without FTP access may request back
   issues from the Clarkson repository by sending a mail message
   with the form
         path A_MAIL_PATH_FROM_CLARKSON_TO_YOU
         get uktex uktex.YY.NNN
   where YY is the year of the issue and NNN is the issue number.
   Including a line "index uktex" in the message will return a list
   of back issues available.
   Janet users may obtain back issues from the Aston archive.
   DECNET/SPAN users may obtain them from the Decnet repository (see
   below).
     
----------------------------------------------------------------------
Hardcopy magazines/newsletters
     
*TeXline
TeXline is "a newsletter of the TeX community" edited by Malcolm
Clark. To subscribe, send a note to <[email-masked]> with your
*postal* address. There is no charge for a subscription. The
publication is slanted towards the UK TeX user but is still a useful
source of information to others.
     
*TUGboat
TUGBoat is the newsletter of the TeX Users Group. It is an
indispensable reference for TeX users. For more information about
joining TUG and subscribing to TUGBoat send (real) mail to:
     TeX Users Group
     c/o American Mathematical Society
     P. O. Box 9506
     Providence, RI 02940-9506, USA
Inquiries may be also be sent via e-mail to <[email-masked]>.
Submissions for TUGboat may be sent via electronic mail to
<[email-masked]>.
     
----------------------------------------------------------------------
Other information
     
LaTeX-style collection. A collection of LaTeX files is available for
FTP and mail access at sun.soe.clarkson.edu. To obtain files via
FTP, login to sun.soe.clarkson.edu as anonymous, password guest and go
to the directory pub/latex-style (where the files are). Mail access is
accomplished by sending a mail message to
<[email-masked]> with the first line containing
"path" followed by a network address FROM clarkson TO you, then file
requests with one or more files per line prefixed by "send latex-style".
For example,
path [email-masked]
send latex-style Readme Index
send latex-style resume.sty
Note that this syntax is different than that used by the server at
the University of Rochester.
Submissions should be sent to <[email-masked]> or
<[email-masked]>
     
LISTSERV@DHDURZ1 has file archives of interest to TeX users. Included
are the Beebe drivers and contents of the LaTeX style collection, as
well as some TeX macros. Many files are available only in German.
     
LISTSERV@TAMVM1 also has file archives that may be of interest to TeX
users on BITNET, including the files from the Score.Stanford.EDU FTP
directories and back issues of TeXHAX. For a list of files available,
send the following command to LISTSERV@TAMVM1: GET TeX FILELIST.
     
DECNET. There is a TeX file collection on DECnet accessible from
DECnet and SPAN. Available files include the Beebe DVI drivers, the
LaTeX style collection, and back issues of TeXhax, TeXMag, and UKTeX.
For more information, contact Marisa Luvisetto (DECNET:
<39947::luvisetto>, Bitnet: <[email-masked]>) or Massimo
Calvani <[email-masked]> U.S. Users should contact Ed Bell
<7388::Bell>
     
JANET. Peter Abbott keeps an archive of TeX-related files available
for FTP access. For more information send mail to
<[email-masked]>.
     
Special thanks to those who contributed to this issue, the TeX Users
Group, Tony Banks, and the U.S. Army.
     
Hey! I'm early!
     
Does anybody actually make it this far into the issue?
     
The now famous character code reference:
Upper case letters: ABCDEFGHIJKLMNOPQRSTUVWXYZ
Lower case letters: abcdefghijklmnopqrstuvwxyz
Digits: 0123456789
Square, curly, angle braces, parentheses: [] {} <> ()
Backslash, slash, vertical bar: \ / |
Punctuation: . ? ! , : ;
Underscore, hyphen, equals sign: _ - =
Quotes--right left double: ' ` "
"at", "number" "dollar", "percent", "and": @ # $ % &
"hat", "star", "plus", "tilde": ^ * + ~